ServiceProviderResponse
Response schema for a service
data objectrequired
A service provider
When the service provider was created.
Service Provider ID
Possible values: Value must match regular expression ^sp_\w{12}$
String representing the object's type.
Possible values: [service_provider]
provider objectrequired
A provider represents a staff member who can provide services to clients.
Time at which the object was created.
The provider's display name.
The provider's email address.
The provider's first name.
Unique identifier for the object.
Possible values: Value must match regular expression ^prov_\w{12}$
The provider's last name.
metadata object
Set of key-value pairs attached to this provider. Maximum size is 16 KB.
Set of key-value pairs attached to this provider. Maximum size is 16 KB.
String representing the object's type.
Possible values: [provider]
The provider's preferred IANA time zone, used as the default when authoring schedules.
Time at which the object was last updated.
Service ID
Possible values: Value must match regular expression ^srv_\w{12}$
When the service provider was last updated.
{
"data": {
"created_at": "2025-02-19T17:36:36Z",
"id": "sp_d025a96ac0c6",
"object": "service_provider",
"provider": {
"created_at": "2017-09-12T12:34:55Z",
"display_name": "John Smith",
"email": "john@example.com",
"first_name": "John",
"id": "prov_d025a96ac0c6",
"last_name": "Smith",
"metadata": {
"external_id": "123"
},
"object": "provider",
"time_zone": "America/New_York",
"updated_at": "2017-09-13T10:11:12Z"
},
"service_id": "srv_d025a96ac0c6",
"updated_at": "2025-02-19T17:36:36Z"
}
}